%define         git          ""
%define         gitdate      20151019
%define         major        7
%define         libname      %mklibname yui %{major}-mga-gtk
%define         develname    %mklibname -d yui-mga-gtk

Name:           libyui-mga-gtk
Version:        1.0.2
Release:        %mkrel 3
Summary:        UI abstraction library - Mageia extension Gtk plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            git@bitbucket.org:_pmat_/libyui-mga-gtk.git
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:    yui-devel    >= 3.1.2
BuildRequires:    %{_lib}yui-gtk-devel
BuildRequires:    %{_lib}yui-mga-devel >= 1.0.4
BuildRequires:    libgtk+3.0-devel
BuildRequires:    cmake
BuildRequires:    boost-devel
BuildRequires:    doxygen
BuildRequires:    texlive
%if %mgaver > 3
BuildRequires:    texlive-dist
%endif
BuildRequires:    ghostscript
BuildRequires:    graphviz
Requires:         libyui
Requires:         libyui-mga
Requires:         libyui-gtk

%description
%{summary}

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga-gtk.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/lib*.so.*

#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-mga-gtk development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/yui/lib*.so
%{_libdir}/pkgconfig/libyui-mga-gtk.pc
%{_libdir}/cmake/libyui-mga-gtk
%doc %{_docdir}/libyui-mga-gtk%{major}

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
./bootstrap.sh
mkdir build
cd build
cmake \
    -DYPREFIX=%{_prefix}  \
    -DDOC_DIR=%{_docdir}  \
    -DLIB_DIR=%{_lib}     \
    -DINSTALL_DOCS=yes    \
    -DENABLE_WERROR=0     \
    -DINSTALL_DOCS=yes    \
    -DCMAKE_BUILD_TYPE=RELWITHDEBINFO ..

make docs

%install
%makeinstall_std -C build
find "%{buildroot}" -name "*.la" -delete


%changelog
* Sun Oct 09 2016 anaselli <anaselli> 1.0.2-3.mga6
+ Revision: 1059763
- rebuilt

* Tue Jan 19 2016 anaselli <anaselli> 1.0.2-2.mga6
+ Revision: 925824
- rebuilt for new yui-mga

* Tue Oct 20 2015 anaselli <anaselli> 1.0.2-1.mga6
+ Revision: 892891
- 1.0.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-0.git20131218.7.mga5
+ Revision: 743456
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-0.git20131218.6.mga5
+ Revision: 681914
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 anaselli <anaselli> 1.0.1-0.git20131218.5.mga5
+ Revision: 668522
- Fixed build issue

* Tue Apr 22 2014 anaselli <anaselli> 1.0.1-0.git20131218.4.mga5
+ Revision: 617390
- Added version dependency

* Fri Apr 18 2014 anaselli <anaselli> 1.0.1-0.git20131218.2.mga5
+ Revision: 616898
- rebuilt for new libyui
- removed double dep
- avoid parallel compiling for docs

* Sun Mar 30 2014 anaselli <anaselli> 1.0.1-0.git20131218.1.mga5
+ Revision: 610483
- Synked source
- Added missed dependencies
- new version 1.0.1

  + matteo <matteo>
    - imported package libyui-mga-gtk

